# Providers at an airport

## Get providers at an airport

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}/providers/all`

#### Path Parameters

| Name                                  | Type   | Description                |
| ------------------------------------- | ------ | -------------------------- |
| aid<mark style="color:red;">\*</mark> | String | Aviowiki ID of the airport |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK Query was successful." %}
The detailed properties of one returned set item can be found in the [Provider](/data-models/provider.md) documentation.

```json
[
	{
		"name": "RUDY'S INFLIGHT CATERING",
		"website": "http://www.rudysinflight.com",
		"phone": "+1 201 727 1122",
		"outOfHoursPhone": null,
		"email": "orders@rudysinflight.com",
		"streetName": " ",
		"locality": null,
		"municipality": " ",
		"governingDistrict": null,
		"postalCode": " ",
		"country": {
			"iso2": "US",
			"iso3": "USA",
			"isoNumeric": 840,
			"name": "United States",
			"officialName": "United States of America",
			"localIdentifierName": null
		},
		"paymentMethods": null,
		"category": "CATERING",
		"sita": null,
		"aftn": null,
		"vhf": null,
		"featuredOrder": null,
		"logo": null,
		"pictures": [],
		"handlingProvider": null,
		"parent": "APT-KS1J-8E0L",
		"aid": "PRV-ZFIK-5S6M"
	},
	...,
	...,
	...
]
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Get paged providers at an airport

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}/providers`

#### Path Parameters

| Name | Type   | Description                |
| ---- | ------ | -------------------------- |
| aid  | String | Aviowiki ID of the airport |

#### Query Parameters

| Name | Type   | Description                                                                     |
| ---- | ------ | ------------------------------------------------------------------------------- |
| page | Number | The page number for pagination, starting from \`0\` to indicate the first page. |
| size | Number | The number of results in a page, for pagination.                                |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK Query was successful." %}
The properties of the pagination can be found at [Pagination](/conventions/pagination.md). The detailed properties of one returned set item can be found in the [Provider](/data-models/provider.md) documentation.

```json
{
	"page": {
		"number": 0,
		"size": 10,
		"totalPages": 1,
		"totalResults": 7
	},
	"content": [
		{
			"name": "Drivania Chauffeurs",
			"website": "drivania.com",
			"phone": "+1 800 327 5174",
			"outOfHoursPhone": "+1 800 327 5174",
			"email": "sales@drivania.com",
			"streetName": "2655 South Le Jeune Rd Suite 810",
			"locality": "Coral Gables",
			"municipality": "Florida",
			"governingDistrict": null,
			"postalCode": "33134",
			"country": {
				"iso2": "US",
				"iso3": "USA",
				"isoNumeric": 840,
				"name": "United States",
				"officialName": "United States of America",
				"localIdentifierName": null
			},
			"paymentMethods": [
				"MASTERCARD",
				"AMERICAN_EXPRESS",
				"INVOICE",
				"VISA"
			],
			"category": "PRIVATE_TRANSFER",
			"sita": null,
			"aftn": null,
			"vhf": null,
			"featuredOrder": null,
			"logo": null,
			"pictures": [],
			"handlingProvider": null,
			"parent": "APT-KS1J-8E0L",
			"aid": "PRV-ZLZT-791A"
		},
		...,
		...,
		...
	]
}
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/authenticated-endpoints/airport-endpoints/providers-at-an-airport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
